node('docker-node') {
    stage('npm install') {
        sh 'npm install'
    }
    
    stage('npm test') {
        sh 'npm run test'
    }
    
    stage('npm run build') {
        sh 'npm run build'
    }
    
    stage('Archive artifacts') {
        archiveArtifacts(artifacts: '*.json')
    }
}
